/* Global Typography */

html, body {
  font-family: Times, serif;
  font-size: clamp(24px, 2.25vw, 34px);
  line-height: 1.1;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-rendering: optimizeLegibility;
  word-spacing: -0.005em;
  letter-spacing: -0.00625em;
}

/* Element Defaults */

em {
  font-style: italic;
}

/* Global Layout */

body {
  display: flex;
  flex-direction: column;
  gap: 2.4rem;
  margin: 0.6rem 0 0.8rem 0;
}
@media all and (min-width: 950px) {
  body {
    margin: 0.8rem 0 1rem 0;
  }
}

/* Components */

/* Components: Intro */

.intro {
  padding: 0rem 0.8rem;
}
@media all and (min-width: 950px) {
  .intro {
    padding: 0rem 1rem;
  }
}
.intro--text a {
  opacity: 0.5;
  transition: opacity 0.6 linear;
}
.intro--text a:hover {
  opacity: 1;
}

/* Components: Carousel */

.carousel {
  width: 100%;
}
.carousel--wrapper {}

.carousel--item {
  width: fit-content;
}
.carousel--item-image {}
.carousel--item-image img {
  max-height: 60vh;
  max-width: 80vw;
  aspect-ratio: 4 / 3;
  display: block;
  object-fit: cover;
}
@media all and (orientation: portrait) {
  .carousel--item-image img {
    max-height: 80vh;
    aspect-ratio: 1 / 1;
  }
}
@media (min-width: 800px) {
  .carousel--item-image img {
    aspect-ratio: 16 / 9;
  }
}

.carousel--item-metadata {
  max-width: 80vw;
  padding: 0 0rem 0.7rem 0.8rem;
}
@media all and (min-width: 950px) {
  .carousel--item-metadata {
    padding: 0 0rem 0.7rem 1rem;
  }
}
.carousel--item-title {
  text-indent: -1.5em;
  padding-left: 1.5em;
}
.carousel--item-metadata:not(:hover) .carousel--item-publication {
  opacity: 0.5;
}
.carousel--item-publication-title {
  margin-right: 1ex;
}

.carousel--prev,
.carousel--next {
  position: absolute;
  bottom: 0;
  z-index: 1;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  width: fit-content;
  color: rgb(80, 80, 80);
  mix-blend-mode: difference;
}
.carousel--prev {
  left: 0;
  height: 100%;
  padding: 1.25em;
}
.carousel--next {
  right: 0;
  height: 100%;
  padding: 1.25em;
}

@media (min-width: 800px) {
  .carousel--prev:hover, 
  .carousel--next:hover {
    color: white;
    transition: color .4s ease;
  }
}

/* Components: Table */

.table {
  padding: 0 0.8rem;
}
@media all and (min-width: 950px) {
  .table {
    padding: 0 1rem;
  }
}
.table:hover .table--row:not(:hover) {
  opacity: 0.5;
}
.table--title {
  padding: 0 0 .8rem;
  font-weight: normal;
}
.table--rows {}
.table--row {
  display: grid;
  grid-template-columns: repeat(12, 1fr);
  gap: .8rem;
}
.table--row:hover .table--row-title,
.table--row:hover .table--row-publication,
.table--row:hover .table--row-date {
}
.table--row-title {
  grid-column: 1 / 12;
  text-indent: -1.5em;
  padding-left: 1.5em;
}
.table--row-publication {
  display: none;
}
.table--row-date {
  grid-column: 12 / 13;
  text-align: right;
}
@media (min-width: 800px) {
  .table--row-title{
    grid-column: 1 / 9;
  }
  .table--row-publication {
    display: inline-block;
    grid-column: 9 / 12;
  }
  .table--row-date {
    grid-column: 12 / 13;
  }
}

/* Components: Contact */

.contact {
  padding: 0 0.8rem;
}
@media all and (min-width: 950px) {
  .contact {
    padding: 0 1rem;
  }
}
.contact--title,
.contact--block-title {
  margin-bottom: 0.8rem;
}

.contact {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 0.8rem;
}
.contact--block {
  grid-column: 1 / 5;
}
.contact--image {
  grid-column: 1 / 3;
  grid-row: 2 / 3;
  margin: 0.4rem 0;
}

@media (min-width: 950px) {
  .contact {
    grid-template-columns: repeat(12, 1fr);
  }
  .contact--title {
    grid-column: 1 / 11;
  }
  .contact--block-personal {
    grid-column: 1 / 5;
  }
  .contact--block-literary {
    grid-column: 5 / 9;
  }
  .contact--block-filmtv {
    grid-column: 5 / 9;
  }
  .contact--image {
    grid-column: 9 / 13;
    grid-row: 1 / 6;
  }
}

.contact--block a {
  opacity: 0.5;
}
.contact--block a:hover {
  opacity: 1;
}
.contact--image img {
  width: 100%;
  aspect-ratio: 3 / 4;
  object-fit: cover;
}
.contact--image-lightbox {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(255, 255, 255, 0.8);
  z-index: 2;
  display: none;
}
.contact--image-lightbox.is-visible {
  display: block;
}
.contact--image-lightbox img {
  padding: 0.8em;
  width: 100%;
  height: 100%;
  object-fit: contain;
  object-position: center;
}

/* Component: Feature */

.feature {
  display: flex;
  flex-direction: column;
  gap: 0.8rem;
}
.feature--metadata {
  padding: 0 0.8rem 0 0.8rem;
}
@media all and (min-width: 950px) {
  .feature--metadata {
    padding: 0 1rem 0 1rem;
  }
}
.feature--title {}
.feature--publication {}
.feature--image {}

.feature--image img {
  aspect-ratio: 4 / 3;
  width: 100%;
  display: block;
  object-fit: cover;
}
@media (min-width: 950px) {
  .feature--image img {
    aspect-ratio: 16 / 9;
  }
}
.feature--content {
  padding: 0 0.8rem;
}
.feature--content-excerpt p {
  margin-bottom: 0.8rem;
}
@media all and (min-width: 950px) {
  .feature--content {
    padding: 0 1rem;
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    gap: 0.8rem;
  }
  .feature--content-excerpt,
  .feature--content-continue {
    grid-column: 1 / 11;
  }
}
.feature--content-continue {}

.feature--back {
  padding: 0rem 0.8rem;
}
.feature--back a {
  opacity: 0.5;
}
.feature--back a:hover {
  opacity: 1;
}
@media all and (min-width: 950px) {
  .feature--back {
    padding: 0rem 1rem;
  }
}